Agora RTC Objective-C API Reference Refactor

Data Fields
LiveTranscoding Struct Reference

## Data Fields
int | width
int | height
int | videoBitrate
int | videoFramerate
bool | lowLatency
int | videoGop
VIDEO_CODEC_PROFILE_TYPE | videoCodecProfile
unsigned int | backgroundColor
VIDEO_CODEC_TYPE_FOR_STREAM | videoCodecType
unsigned int | userCount
TranscodingUser * | transcodingUsers
const char * | transcodingExtraInfo
const char * | metadata
RtcImage * | watermark
unsigned int | watermarkCount
RtcImage * | backgroundImage
unsigned int | backgroundImageCount
AUDIO_SAMPLE_RATE_TYPE | audioSampleRate
int | audioBitrate
int | audioChannels
AUDIO_CODEC_PROFILE_TYPE | audioCodecProfile
LiveStreamAdvancedFeature * | advancedFeatures
unsigned int | advancedFeatureCount

## Detailed Description

Transcoding configurations for Media Push.

## Constructor & Destructor Documentation

## ◆ LiveTranscoding()

LiveTranscoding | ( |  | ) |
| inline

## Field Documentation

## ◆ width

int width

The width of the video in pixels. The default value is 360.

- When pushing video streams to the CDN, the value range of `width` is [64,1920]. If the value is less than 64, Agora server automatically adjusts it to 64; if the value is greater than 1920, Agora server automatically adjusts it to 1920.
- When pushing audio streams to the CDN, set `width` and `height` as 0.

## ◆ height

int height

The height of the video in pixels. The default value is 640.

- When pushing video streams to the CDN, the value range of `height` is [64,1080]. If the value is less than 64, Agora server automatically adjusts it to 64; if the value is greater than 1080, Agora server automatically adjusts it to 1080.
- When pushing audio streams to the CDN, set `width` and `height` as 0.

## ◆ videoBitrate

int videoBitrate

Bitrate of the CDN live output video stream. The default value is 400 Kbps.

Set this parameter according to the Video Bitrate Table. If you set a bitrate beyond the proper range, the SDK automatically adapts it to a value within the range.

## ◆ videoFramerate

int videoFramerate

Frame rate of the output video stream set for the CDN live streaming. The default value is 15 fps, and the value range is (0,30].

Note
  The Agora server adjusts any value over 30 to 30.

## ◆ lowLatency

bool lowLatency

DEPRECATED Latency mode:

- true: Low latency with unassured quality.
- false: (Default) High latency with assured quality.

## ◆ videoGop

int videoGop

Video GOP in frames. The default value is 30 fps.

## ◆ videoCodecProfile

VIDEO_CODEC_PROFILE_TYPE videoCodecProfile

Self-defined video codec profile: VIDEO_CODEC_PROFILE_TYPE.

Note
  If you set this parameter to other values, Agora adjusts it to the default value of 100.

## ◆ backgroundColor

unsigned int backgroundColor

The background color in RGB hex value. Value only. Do not include a preceeding #. For example, 0xFFB6C1 (light pink). The default value is 0x000000 (black).

## ◆ videoCodecType

VIDEO_CODEC_TYPE_FOR_STREAM videoCodecType

Video codec profile types for Media Push. See VIDEO_CODEC_TYPE_FOR_STREAM.

## ◆ userCount

unsigned int userCount

The number of users in the live interactive streaming. The value range is [0, 17].

## ◆ transcodingUsers

TranscodingUser* transcodingUsers

Manages the user layout configuration in the Media Push. Agora supports a maximum of 17 transcoding users in a Media Push channel. See `TranscodingUser`.

## ◆ transcodingExtraInfo

const char* transcodingExtraInfo

Reserved property. Extra user-defined information to send SEI for the H.264/H.265 video stream to the CDN live client. Maximum length: 4096 Bytes.

For more information on SEI frame, see SEI-related questions.

## ◆ metadata

const char* metadata

DEPRECATED The metadata sent to the CDN live client.

## ◆ watermark

RtcImage* watermark

The watermark on the live video. The image format needs to be PNG. See `RtcImage`.

You can add one watermark, or add multiple watermarks using an array. This parameter is used with `watermarkCount`.

## ◆ watermarkCount

unsigned int watermarkCount

The number of watermarks on the live video. The total number of watermarks and background images can range from 0 to 10. This parameter is used with `watermark`.

## ◆ backgroundImage

RtcImage* backgroundImage

The number of background images on the live video. The image format needs to be PNG. See `RtcImage`.

You can add a background image or use an array to add multiple background images. This parameter is used with `backgroundImageCount`.

## ◆ backgroundImageCount

unsigned int backgroundImageCount

The number of background images on the live video. The total number of watermarks and background images can range from 0 to 10. This parameter is used with `backgroundImage`.

## ◆ audioSampleRate

AUDIO_SAMPLE_RATE_TYPE audioSampleRate

The audio sampling rate (Hz) of the output media stream. See AUDIO_SAMPLE_RATE_TYPE.

## ◆ audioBitrate

int audioBitrate

Bitrate (Kbps) of the audio output stream for Media Push. The default value is 48, and the highest value is 128.

## ◆ audioChannels

int audioChannels

The number of audio channels for Media Push. Agora recommends choosing 1 (mono), or 2 (stereo) audio channels. Special players are required if you choose 3, 4, or 5.

- 1: (Default) Mono.
- 2: Stereo.
- 3: Three audio channels.
- 4: Four audio channels.
- 5: Five audio channels.

## ◆ audioCodecProfile

AUDIO_CODEC_PROFILE_TYPE audioCodecProfile

Audio codec profile type for Media Push. See AUDIO_CODEC_PROFILE_TYPE.

## ◆ advancedFeatures

LiveStreamAdvancedFeature* advancedFeatures

Advanced features of the RTMP or RTMPS streaming with transcoding. See LiveStreamAdvancedFeature.

## ◆ advancedFeatureCount

unsigned int advancedFeatureCount

The number of enabled advanced features. The default value is 0.